//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Rikai.PRISM.WPF
{
    using System;
    using System.Collections.Generic;
    
    public partial class mstTeacher
    {
        public int TeacherCd { get; set; }
        public string TeacherName { get; set; }
        public string TeacherKana { get; set; }
        public string TeacherShortName { get; set; }
        public Nullable<short> SubjectCd01 { get; set; }
        public Nullable<short> SubjectCd02 { get; set; }
        public Nullable<short> SubjectCd03 { get; set; }
        public Nullable<short> SubjectCd04 { get; set; }
        public Nullable<short> SubjectCd05 { get; set; }
        public Nullable<short> SubjectCd06 { get; set; }
        public Nullable<short> SubjectCd07 { get; set; }
        public Nullable<short> SubjectCd08 { get; set; }
        public Nullable<short> SubjectCd09 { get; set; }
        public Nullable<short> SubjectCd10 { get; set; }
        public Nullable<short> TeacherKbn { get; set; }
        public Nullable<byte> OrgCd { get; set; }
        public Nullable<int> HouseCd { get; set; }
        public Nullable<System.DateTime> InDate { get; set; }
        public Nullable<System.DateTime> OutDate { get; set; }
        public string Tel { get; set; }
        public string MobileTel { get; set; }
        public string MailAddress { get; set; }
        public string Post { get; set; }
        public string Address1 { get; set; }
        public string Address2 { get; set; }
        public Nullable<int> TeacherNo { get; set; }
        public string Remark { get; set; }
        public Nullable<System.DateTime> BirthDate { get; set; }
        public Nullable<short> Sex { get; set; }
        public Nullable<short> RestFlg { get; set; }
        public Nullable<byte> RoleKbn { get; set; }
        public string BlockCd { get; set; }
        public string DaikoFlg { get; set; }
        public Nullable<System.DateTime> UpdStampDate { get; set; }
        public string UpdStampId { get; set; }
        public Nullable<System.DateTime> InsStampDate { get; set; }
        public string InsStampId { get; set; }
    }
}
